@import (reference) '../../../../card/Cards.less';

#project-board .panels .panel.twitter .tweet {
  position: relative;
  background-color: @cardPreviewBackground;
  border-radius: @cardBorderRadius;
  box-shadow: rgba(0,0,0,0.125) 0 1px 2px;

  &:not(:last-child) {
    margin-bottom: 0.5rem;
  }

  .text {
    color: @color;
    line-height: 1.25rem;
    padding: 0.5rem 1rem 1rem 1rem;
  }

  .meta {
    display: flex;
    align-items: center;
    flex-shrink: 0;
    padding: 0.5em;
    border-top: 1px solid @lighterColor;
    .profile {
      flex: 0 0 auto;
      margin-right: 0.25em;
    }
    .info {
      flex: 1 1 auto;
      overflow: hidden;
      line-height: 1em;
      .author, .date {
        font-size: 0.8em; // Required, otherwise the cardDetails font-size kicks in
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
      }
      .date {
        color: @lightColor;
      }
    }
  }
}